Bug 1256341 - (kf5-akonadi-calendar) Review Request: kf5-akonadi-calendar - The Akonadi Calendar client library
Review Request: kf5-akonadi-calendar - The Akonadi Calendar client library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2015-08-24 07:50 EDT by Daniel Vrátil
Modified: 2015-12-04 09:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 09:46:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2015-08-24 07:50:58 EDT
Spec URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-calendar.spec
SRPM URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-calendar-15.08.0-1.fc22.src.rpm
Description: Akonadi Calendar client library.
Fedora Account System Username:
Comment 1 Jan Grulich 2015-09-01 05:24:44 EDT
1) License should be LGPLv2+
2) File COPYING doesn't exist, only COPYING.LIB (thus the package doesn't build)
3) These files also don't exist:
   %{_kf5_includedir}/akonadicalendar_version.h
   %{_kf5_includedir}/AkonadiCalendar 

   Use these instead:
   %{_kf5_includedir}/akonadi-calendar_version.h
   %{_kf5_includedir}/Akonadi/Calendar
   %{_kf5_includedir}/akonadi/calendar
Comment 2 Daniel Vrátil 2015-09-01 07:39:31 EDT
Spec URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-calendar.spec
SRPM URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-calendar-15.08.0-2.fc22.src.rpm

* Tue Sep 01 2015 Daniel Vrátil <dvratil@redhat.com> - 15.08.0-2
- fix license
- fix %%license
- fix installation
Comment 3 Jan Grulich 2015-09-01 07:55:31 EDT
Perfect, looks good now, package approved.
Comment 4 Daniel Vrátil 2015-09-01 10:55:06 EDT
New Package SCM Request
=======================
Package Name: kf5-akonadi-calendar
Short Description: The Akonadi Calendar client library
Upstream URL: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Owners: dvratil group::kde-sig
Branches: f22 f23
InitialCC:
Comment 5 Gwyn Ciesla 2015-09-01 15:20:43 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.